Chromium Code Reviews
Help | Chromium Project | Sign in
(5)

Issue 2670763007: Use TaskScheduler instead of blocking pool in enumerate_modules_model.cc. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
3 weeks, 4 days ago by fdoray
Modified:
5 days, 3 hours ago
Reviewers:
Finnur
CC:
chromium-reviews
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Use TaskScheduler instead of blocking pool in enumerate_modules_model.cc. The blocking pool is being deprecated in favor of TaskScheduler. BUG=667892 R=finnur@chromium.org CQ_INCLUDE_TRYBOTS=master.tryserver.chromium.win:win10_chromium_x64_rel_ng Review-Url: https://codereview.chromium.org/2670763007 Cr-Commit-Position: refs/heads/master@{#452821} Committed: https://chromium.googlesource.com/chromium/src/+/d4716407f7bc5093e820275b36d324aed39f8496

Patch Set 1 #

Patch Set 2 : upload #

Total comments: 2

Patch Set 3 : headers order #

Patch Set 4 : manual refactoring #

Total comments: 4

Patch Set 5 : CR and fix build error" #

Unified diffs Side-by-side diffs Delta from patch set Stats (+35 lines, -50 lines) Patch
M chrome/browser/win/enumerate_modules_model.h View 1 2 3 4 4 chunks +11 lines, -16 lines 0 comments Download
M chrome/browser/win/enumerate_modules_model.cc View 1 2 3 7 chunks +22 lines, -34 lines 0 comments Download
M chrome/browser/win/enumerate_modules_model_unittest.cc View 1 2 3 4 2 chunks +2 lines, -0 lines 0 comments Download
Trybot results:  win_chromium_rel_ng   win10_chromium_x64_rel_ng   mac_chromium_compile_dbg_ng   mac_chromium_rel_ng   win_clang   win_chromium_x64_rel_ng   ios-simulator-xcode-clang   win_chromium_compile_dbg_ng   android_clang_dbg_recipe   linux_chromium_compile_dbg_ng   android_arm64_dbg_recipe   ios-device   linux_chromium_rel_ng   android_compile_dbg   linux_chromium_tsan_rel_ng   chromium_presubmit   chromeos_daisy_chromium_compile_only_ng   android_n5x_swarming_rel   linux_chromium_chromeos_rel_ng   android_cronet   ios-device-xcode-clang   linux_android_rel_ng   linux_chromium_chromeos_ozone_rel_ng   cast_shell_linux   ios-simulator   cast_shell_android   chromeos_amd64-generic_chromium_compile_only_ng   linux_chromium_asan_rel_ng   mac_chromium_rel_ng   chromium_presubmit   win10_chromium_x64_rel_ng   cast_shell_linux   chromeos_daisy_chromium_compile_only_ng   mac_chromium_compile_dbg_ng   win_chromium_x64_rel_ng   android_compile_dbg   linux_chromium_rel_ng   cast_shell_android   win_chromium_compile_dbg_ng   linux_chromium_asan_rel_ng   ios-simulator-xcode-clang   android_cronet   android_clang_dbg_recipe   linux_chromium_compile_dbg_ng   ios-simulator   chromeos_amd64-generic_chromium_compile_only_ng   android_arm64_dbg_recipe   win_chromium_rel_ng   ios-device   linux_android_rel_ng   linux_chromium_chromeos_rel_ng   linux_chromium_chromeos_ozone_rel_ng   ios-device-xcode-clang   win_clang   linux_chromium_tsan_rel_ng   android_n5x_swarming_rel 
Commit queue not available (can’t edit this change).

Messages

Total messages: 33 (22 generated)
fdoray
Hi! I'm a Python script responsible for migrating tasks from the blocking pool to TaskScheduler. ...
3 weeks, 4 days ago (2017-02-03 18:02:28 UTC) #2
Finnur
This code I'm familiar with and the change seems ok. But the errors on the ...
2 weeks, 1 day ago (2017-02-14 15:32:20 UTC) #7
fdoray
PTAnL I took the liberty of addressing the TODO on ScanImplDelay. https://codereview.chromium.org/2670763007/diff/20001/chrome/browser/win/enumerate_modules_model.cc File chrome/browser/win/enumerate_modules_model.cc (right): ...
1 week, 4 days ago (2017-02-17 19:05:36 UTC) #15
Finnur
> I took the liberty of addressing the TODO on ScanImplDelay. Thank you for that. ...
1 week, 1 day ago (2017-02-21 10:45:55 UTC) #19
Finnur
Also, apologies for the way. This arrived after dinner on Friday and I took a ...
1 week, 1 day ago (2017-02-21 10:47:12 UTC) #20
Finnur
On 2017/02/21 10:47:12, Finnur wrote: > Also, apologies for the way. This arrived after dinner ...
1 week, 1 day ago (2017-02-21 10:47:27 UTC) #21
fdoray
> I do wonder, however, if we can verify somehow that the shutdown hang will ...
6 days, 22 hours ago (2017-02-22 18:53:06 UTC) #24
Finnur
LGTM. > If you really want to, we could add ModuleEnumerator::SetScanImplModuleEventForTesting No, that's fine. I ...
5 days, 4 hours ago (2017-02-24 13:25:03 UTC) #27
fdoray
On 2017/02/24 13:25:03, Finnur wrote: > LGTM. > > > If you really want to, ...
5 days, 4 hours ago (2017-02-24 13:32:32 UTC) #28
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2670763007/80001
5 days, 4 hours ago (2017-02-24 13:32:56 UTC) #30
commit-bot: I haz the power
5 days, 3 hours ago (2017-02-24 14:33:31 UTC) #33
Message was sent while issue was closed.
Committed patchset #5 (id:80001) as
https://chromium.googlesource.com/chromium/src/+/d4716407f7bc5093e820275b36d3...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld f8e48bd